> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.claw-ops.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.claw-ops.com/_mcp/server.

# 가입자 유형 선택

POST https://api.claw-ops.com/v1/assignment-sessions/{token}/subscriber-type
Content-Type: application/json

Reference: https://docs.claw-ops.com/api-레퍼런스/claw-ops-api/assignment-sessions/set-assignment-session-subscriber-type

## Request

### Path parameters

- `token` (string, required) — 발급 링크에 포함된 1회용 고엔트로피 세션 토큰

### Body (application/json)

- `subscriberType` (enum, required)
  - Allowed values: `individual`, `corporate`

## Response

### 200

저장 완료

- `ok` (boolean, required)

## Examples

**Request**

```json
{
  "subscriberType": "individual"
}
```

**Response**

```json
{
  "ok": true
}
```

**SDK Code**

```python AssignmentSessions_setAssignmentSessionSubscriberType_example
import requests

url = "https://api.claw-ops.com/v1/assignment-sessions/token/subscriber-type"

payload = { "subscriberType": "individual" }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript AssignmentSessions_setAssignmentSessionSubscriberType_example
const url = 'https://api.claw-ops.com/v1/assignment-sessions/token/subscriber-type';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"subscriberType":"individual"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go AssignmentSessions_setAssignmentSessionSubscriberType_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.claw-ops.com/v1/assignment-sessions/token/subscriber-type"

	payload := strings.NewReader("{\n  \"subscriberType\": \"individual\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby AssignmentSessions_setAssignmentSessionSubscriberType_example
require 'uri'
require 'net/http'

url = URI("https://api.claw-ops.com/v1/assignment-sessions/token/subscriber-type")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"subscriberType\": \"individual\"\n}"

response = http.request(request)
puts response.read_body
```

```java AssignmentSessions_setAssignmentSessionSubscriberType_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.claw-ops.com/v1/assignment-sessions/token/subscriber-type")
  .header("Content-Type", "application/json")
  .body("{\n  \"subscriberType\": \"individual\"\n}")
  .asString();
```

```php AssignmentSessions_setAssignmentSessionSubscriberType_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.claw-ops.com/v1/assignment-sessions/token/subscriber-type', [
  'body' => '{
  "subscriberType": "individual"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp AssignmentSessions_setAssignmentSessionSubscriberType_example
using RestSharp;

var client = new RestClient("https://api.claw-ops.com/v1/assignment-sessions/token/subscriber-type");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"subscriberType\": \"individual\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift AssignmentSessions_setAssignmentSessionSubscriberType_example
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = ["subscriberType": "individual"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.claw-ops.com/v1/assignment-sessions/token/subscriber-type")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```